=== debian/changelog ===
ros-humble-flexbe-behavior-engine (2.3.3-1jammy) jammy; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Wed, 09 Aug 2023 04:00:00 -0000

ros-humble-flexbe-behavior-engine (2.3.2-1jammy) jammy; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Tue, 01 Aug 2023 04:00:00 -0000

ros-humble-flexbe-behavior-engine (2.3.1-1jammy) jammy; urgency=high

  * Update flexbe_ci.yml for mailto:actions/checkout@v3

 -- Philipp Schillinger <philsplus@gmail.com>  Mon, 31 Jul 2023 04:00:00 -0000

ros-humble-flexbe-behavior-engine (2.3.0-1jammy) jammy; urgency=high

  * update CMakeLists cmake_minimum_version
  * Updates to dependencies for ROS build farm

 -- Philipp Schillinger <philsplus@gmail.com>  Thu, 20 Jul 2023 04:00:00 -0000

ros-humble-flexbe-behavior-engine (2.2.0-1jammy) jammy; urgency=high

  * [flexbe_core, flexbe_onboard, flexbe_mirror, flexbe_widget]
    - Use behavior_key and behavior_id for consistency
    - rework mirror and be_launcher to prevent deadlocks
    - add heartbeat messages to mirror and launcher
    - pep257 and flake8 cleanup
  * [flexbe_msgs] Add comments and modify BehaviorSelection message to use
    behavior_key and behavior_id for consistency with other messages
  * update README links; tweak LICENSE and package info
  * Modify shutdown handling for clean stop
  * Modify wait() handling to avoid creating a rate object

 -- Philipp Schillinger <philsplus@gmail.com>  Thu, 29 Jun 2023 04:00:00 -0000

ros-humble-flexbe-behavior-engine (2.1.0-1jammy) jammy; urgency=high

  * ROS 2 Humble release
  * Includes changes sync check handling
  * Add formatted traceback to local log for behavior errors
  * Tested under Ubuntu 22.04 and ROS Humble

 -- Philipp Schillinger <philsplus@gmail.com>  Tue, 02 Aug 2022 04:00:00 -0000

ros-humble-flexbe-behavior-engine (2.0.0-1jammy) jammy; urgency=high

  * Initial ROS 2 "foxy" release based on ROS 1 commit a343c657
  * Includes changes to concurrent state and sleep handling

 -- Philipp Schillinger <philsplus@gmail.com>  Tue, 22 Feb 2022 05:00:00 -0000

ros-humble-flexbe-behavior-engine (1.3.1-1jammy) jammy; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Fri, 11 Dec 2020 05:00:00 -0000

ros-humble-flexbe-behavior-engine (1.3.0-1jammy) jammy; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Thu, 19 Nov 2020 05:00:00 -0000

ros-humble-flexbe-behavior-engine (1.2.5-1jammy) jammy; urgency=high

  * Merge branch 'develop' into feature/state_logger_rework
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Sun, 14 Jun 2020 04:00:00 -0000

ros-humble-flexbe-behavior-engine (1.2.4-1jammy) jammy; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Wed, 25 Mar 2020 04:00:00 -0000

ros-humble-flexbe-behavior-engine (1.2.3-1jammy) jammy; urgency=high

  * Merge remote-tracking branch 'origin/develop' into feature/test_behaviors
    # Conflicts:
    #     flexbe_testing/bin/testing_node
    #     flexbe_testing/src/flexbe_testing/state_tester.py
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Fri, 10 Jan 2020 05:00:00 -0000

ros-humble-flexbe-behavior-engine (1.2.2-1jammy) jammy; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Mon, 16 Sep 2019 04:00:00 -0000

ros-humble-flexbe-behavior-engine (1.2.1-1jammy) jammy; urgency=high

  * Merge remote-tracking branch 'origin/feature/sub_parameters' into develop
  * Bump required flexbe_app version
  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Sun, 02 Jun 2019 04:00:00 -0000

ros-humble-flexbe-behavior-engine (1.1.2-1jammy) jammy; urgency=high

  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Tue, 09 Apr 2019 04:00:00 -0000

ros-humble-flexbe-behavior-engine (1.1.1-1jammy) jammy; urgency=high

  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Tue, 18 Dec 2018 05:00:00 -0000

ros-humble-flexbe-behavior-engine (1.1.0-1jammy) jammy; urgency=high

  * Merge branch 'develop'
  * Merge branch 'feature/flexbe_app' into develop
  * Update maintainer information
  * Merge pull request #55 <https://github.com/team-vigir/flexbe_behavior_engine/issues/55> from alireza-hosseini/add-metapackage
    feat: Add flexbe_behavior_engine metapackage
  * feat: Add flexbe_behavior_engine metapackage
  * Contributors: Philipp Schillinger, alireza

 -- Philipp Schillinger <philsplus@gmail.com>  Sat, 01 Dec 2018 05:00:00 -0000
